<?php

/**
 * @file
 * Dominion theme example file.
 */

/**
 * This is an example implementation of dominion.inc (build for Garland).
 *
 * This file must be named "dominion.inc" and located in the theme directory.
 */

$info = array(
  'options' => array(
    'header-color' => array(
      'title' => 'Header color',
      'search_string' => '#edf5fa',
      'default_value' => '#edf5fa',
      'type' => DOMINION_THEME_COLOR,
      'required' => TRUE,
    ),
    'link-color' => array(
      'title' => 'Link color',
      'search_string' => '#027AC6',
      'default_value' => '#027AC6',
      'type' => DOMINION_THEME_COLOR,
      'required' => TRUE,
    ),
    'link-hover-color' => array(
      'title' => 'Link hover color',
      'search_string' => '#0062A0',
      'default_value' => '#0062A0',
      'type' => DOMINION_THEME_COLOR,
      'required' => TRUE,
    ),
    'background-image' => array(
      'title' => 'Background image',
      'search_string' => 'images/bg-content.png',
      'type' => DOMINION_THEME_IMAGE,
      'required' => TRUE,
    ),
    'font' => array(
      'title' => 'Font',
      'search_string' => 'Verdana, sans-serif',
      'type' => DOMINION_THEME_LIST,
      'required' => TRUE,
      'options' => array(
        'Verdana, sans-serif' => t('Verdana'),
        'Arial, sans-serif' => t('Arial'),
        '"Times New Roman", serif' => t('Times New Roman'),
        'monospace' => t('Monospace'),
      ),
    ),
    'additional' => array(
      'title' => 'Additional CSS',
      'search_string' => 'extra.css',
      'type' => DOMINION_THEME_FILE,
      'required' => FALSE,
      'append_to' => 'style.css',
      'description' => t('Contents of this file will be appended to the stylesheet.'),
    ),
  ),

  'alpha_image' => array(
    'search_string' => 'transparent_header.png',
    'alpha' => 70,
    'color' => 0, // Number of configuration option
  ),

  // CSS files (excluding @import) to rewrite with new color scheme.
  'css' => array(
    'style.css',
  ),

  // SCSS compiling can be done by providing a SCSS source file per CSS file.
  // This makes the config available as variables and allows you to use functions,
  // e.g.: color: darken($header-color, 10%);
  // You are required to define each variable in SCSS with the default value.
  // Note that this requires the scssphp library to be installed (see README.txt).
  'scss' => array(
    'style.css' => 'style.scss'
  ),
);
